Mozilla Releases Firefox 8 and Firefox 3.6.24

Last Updated: 01/10/2018

Security Notice Level

SEVERE

 

Mozilla has released Firefox 8 and Firefox 3.6.24. Browsers that are not updated are susceptible to multiple vulnerabilities. These vulnerabilities may allow a malicious user to gain access to, run harmful software on, change privileges to, remove owner access to, and obtain sensitive information from systems that are not updated, as well as inject harmful code in websites.

The OIT Security Office recommends all users update.

Affected Software

  • Mozilla Firefox prior to version 8
  • Mozilla Firefox 3.6.23 and prior versions

Additional Information

Security bulletin names:
Security Advisories for Firefox 3.6
Security Advisories for Firefox
    
Additional information about this vulnerability can be viewed at:
http://www.mozilla.org/security/known-vulnerabilities/firefox36.html
http://www.mozilla.org/security/known-vulnerabilities/firefox.html

Release date: November 9, 2011